Subject: bug#23551: closed (Re: bug#23551: 24.5; beginning-of-line wrong in repeated kbd macro)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 28 May 2016 15:39:02 +0000

Your bug report

#13452: 24.5; beginning-of-line wrong in repeated kbd macro

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
13452: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13452
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#23551: 24.5; beginning-of-line wrong in repeated kbd macro
From: Eli Zaretskii <[email-masked]>
To: [email-masked], Markus Triska <[email-masked]>, Raymond Zeitler <[email-masked]>
Cc: [email-masked]
Date: Sat, 28 May 2016 18:38:53 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Mon, 16 May 2016 20:30:29 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > Date: Mon, 16 May 2016 16:30:32 +0000
> > From: [email-masked]
> > Cc: Abbott John <[email-masked]>
> > 
> > Open the attached file in Emacs, and move point to the first position.
> > Define a keyboard macro: (I want to put each line inside double-quotes)
> > "			;; self-insert-command
> > C-e			;; move-end-of-line
> > "			;; self-insert-command
> > C-a			;; message-beginning-of-line
> > <down>			;; next-line
> > 
> > Now ask Emacs to repeat this macro 49 times.
> > The result is wrong: at around line 35, the first double-quote
> > is no longer at the start of the line; then on successive lines
> > the position of the first inserted double-quote walks to the right.
> 
> Thanks.
> 
> This is a duplicate of the (old, but unsolved) bug #13452.  The
> problem is not in beginning-of-line, it's in next-line: when the
> window needs to scroll as result of next-line, point ends up in
> columns 1, 2, 3, ... (i.e. gains one column per line moved down),
> instead of sticking to column zero.
> 
> To work around, set line-move-visual to nil before running the macro
> (or as part of the macro), then the problem goes away.
> 
> I'll try to debug this one of these days.

Should be fixed now, please test the latest Emacs master branch.

Subject: 24.5; beginning-of-line wrong in repeated kbd macro
From: [email-masked]
To: [email-masked]
Cc: Abbott John <[email-masked]>
Date: Mon, 16 May 2016 16:30:32 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I would like to report the following bug.
Open the attached file in Emacs, and move point to the first position.
Define a keyboard macro: (I want to put each line inside double-quotes)
"			;; self-insert-command
C-e			;; move-end-of-line
"			;; self-insert-command
C-a			;; message-beginning-of-line
<down>			;; next-line

Now ask Emacs to repeat this macro 49 times.
The result is wrong: at around line 35, the first double-quote
is no longer at the start of the line; then on successive lines
the position of the first inserted double-quote walks to the right.

-----------------------------------------------------------------
In GNU Emacs 24.5.1 (i686-apple-darwin, NS apple-appkit-1038.36)
  of 2015-04-10 on builder10-6.porkrind.org
Windowing system distributor `Apple', version 10.3.1038
Configured using:
  `configure --with-ns '--enable-locallisppath=/Library/Application
  Support/Emacs/${version}/site-lisp:/Library/Application
  Support/Emacs/site-lisp' --host=i686-apple-darwin
  --build=i686-apple-darwin --with-jpeg=no --with-png=no --with-gif=no
  --with-tiff=no'

Important settings:
   locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
   recentf-mode: t
   show-paren-mode: t
   tooltip-mode: t
   electric-indent-mode: t
   mouse-wheel-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t
   transient-mark-mode: t

Recent messages:
Cleaning up the recentf list...
File /Users/abbott/ShortTerm/EMACS-BUG-orig removed from the recentf list
Cleaning up the recentf list...done (1 removed)
Loading /Users/abbott/Work/CoCoA/CoCoA4/4.7/UI/emacs/cocoa.emacs...done
Loading  
/Users/abbott/Work/CoCoA/CoCoA5/CoCoALib-0.99/src/CoCoA-5/emacs/cocoa5.emacs...done
Loading rmail-spam-filter.elc...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Defining kbd macro...
Keyboard macro defined
(Type e to repeat macro)

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr warnings emacsbug sendmail cl-extra
info magit-autoloads git-rebase-mode-autoloads git-commit-mode-autoloads
package epg-config rmail-spam-filter rmailsum rmail recentf tree-widget
wid-edit git-blame git derived log-edit easy-mmode message cl-macs
format-spec rfc822 mml easymenu mml-sec mm-decode mm-bodies mm-encode
mail-parse rfc2231 rfc2047 rfc2045 ietf-drums mm-util help-fns
mail-prsvr mailabbrev mail-utils gmm-utils mailheader ring pcvs-util
add-log ewoc cl gv paren cus-start cus-load edmacro kmacro cl-loaddefs
cl-lib time-date tooltip electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel ns-win tool-bar dnd fontset image regexp-opt
fringe tabulated-list newcomment lisp-mode prog-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process cocoa ns
multi-tty emacs)

Memory information:
((conses 8 143707 11759)
  (symbols 24 23822 0)
  (miscs 20 100 224)
  (strings 16 30397 6332)
  (string-bytes 1 745514)
  (vectors 8 14455)
  (vector-slots 4 436468 9860)
  (floats 8 71 198)
  (intervals 28 254 26)
  (buffers 512 14))